Skip to main content
POST
/
api
/
albums
/
{album_id}
/
assets
Add existing assets to an album
curl --request POST \
  --url https://api.example.com/api/albums/{album_id}/assets \
  --header 'Content-Type: application/json' \
  --data '
{
  "asset_ids": [
    "<string>"
  ]
}
'
{
  "added_assets": [
    "<string>"
  ],
  "duplicate_assets": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.gumnut.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

album_id
string
required

Album ID (with album_ prefix) of the album to add the assets to.

Body

application/json
asset_ids
string[]
required

Asset IDs (with asset_ prefix) to associate with the album. Get IDs from list_assets, search_assets, or list_album_assets.

Response

Successful Response

added_assets
string[]
required

Asset IDs newly added to the album by this call.

duplicate_assets
string[]
required

Asset IDs that were already in the album and were skipped (idempotent no-op, not an error).